<div class="plc user">
	<div class="plc-menu">
		PLC协议类型管理
	</div>
	<div class="plc-content">
		<div class="row">
			<div class="col-sm-12" ng-if="config.canEdit">
				<div class="text-16">
					<div class="plc-group-input-btn">
						<div class="one-line-btns">

							<button type="button" namd="Set focus button" class="btn btn-primary addBtn" ng-click="addRows();">新增</button>
							<input type="number" min="1" name="addRowNum" ng-model="config.addRowsNum" class="one-line-row form-control">
							<label class="control-label">行</label>
						</div>

						<div class="one-line-btns">
							<button type="button" namd="Set focus button" ng-disabled="config.btnDisabledDelete" class="btn btn-primary deleteBtn" ng-click="checkAndDeleteSelectedRows();">删除</button>
						</div>
						<div class="save-btn pull-right one-line-btns">
							<button type="button" namd="Set focus button" class="btn btn-primary saveBtn pull-right" ng-click="saveAllAcitons();" ng-disabled="config.btnDisabledSave">保存</button>
						</div>
					</div>
				</div>
			</div>
			<div class="col-sm-12">
				<div class="andon-grid">
				<div id="plc-protocol-type-grid" ui-grid="plcProtocolTypeGridOptions" class="myGrid"
					 ui-grid-edit ui-grid-cellnav ui-grid-selection
					 ui-grid-validate ui-grid-auto-resize
					 class="plc-protocol-type-grid ad-basic-grid myGrid" ></div></div>
				<!-- ui-grid-pagination  ui-grid-row-edit -->
			</div>
		</div>


	</div>
</div>

